wai-app-static-3.1.8: WAI application for static serving

Safe Haskell | Safe-Inferred
Language | Haskell2010

WaiAppStatic.Storage.Filesystem

Contents

- Types
- Settings

Description

Access files on the filesystem.

Synopsis

- type ETagLookup = FilePath -> IO (Maybe ByteString)
- defaultWebAppSettings :: FilePath -> StaticSettings
- defaultFileServerSettings :: FilePath -> StaticSettings
- webAppSettingsWithLookup :: FilePath -> ETagLookup -> StaticSettings

# Types

type ETagLookup = FilePath -> IO (Maybe ByteString) Source #

How to calculate etags. Can perform filesystem reads on each call, or use some caching mechanism.

# Settings

defaultWebAppSettings Source #

Arguments

:: FilePath | root folder to serve from
-> StaticSettings |

Settings optimized for a web application. Files will have aggressive caching applied and hashes calculated, and indices and listings are disabled.

defaultFileServerSettings Source #

Arguments

:: FilePath | root folder to serve from
-> StaticSettings |

Settings optimized for a file server. More conservative caching will be applied, and indices and listings are enabled.

webAppSettingsWithLookup Source #

Arguments

:: FilePath | root folder to serve from
-> ETagLookup |
-> StaticSettings |

Same as `defaultWebAppSettings`, but additionally uses a specialized `ETagLookup` in place of the standard one. This can allow you to cache your hash values, or even precompute them.